import { PrimeReactProvider } from 'primereact/api';
import { Fieldset } from 'primereact/fieldset';
import { Button } from 'primereact/button';
import 'primereact/resources/themes/lara-light-blue/theme.css'
import 'primereact/resources/primereact.min.css';
import 'primeflex/primeflex.css'
import 'primeicons/primeicons.css'

function App() {

    const goto = (url, blank) => {
        if (blank) {
            return () => {
                window.open(url, "_blank");
            };
        }

        return () => {
            window.location.href = url;
        }
    }

  return (
      <div className="flex flex-column min-h-screen align-items-center justify-content-center">
           <PrimeReactProvider>
               <Fieldset legend="RStudio">
                   <div className="mb-3">
                       <Button label="Rhea" className="w-7rem" outlined onClick={goto('https://rhea.rstudio.ikayuni.me/', false)} />
                       <Button icon="pi pi-external-link" className="ml-1" onClick={goto('https://rhea.rstudio.ikayuni.me/', true)} />
                   </div>
                   <div className="mb-3">
                       <Button label="Luna" className="w-7rem" outlined onClick={goto('https://luna.rstudio.ikayuni.me/', false)} />
                       <Button icon="pi pi-external-link" className="ml-1" onClick={goto('https://luna.rstudio.ikayuni.me/', true)} />
                   </div>
                   <div className="mb-3">
                       <Button label="Phoebe" className="w-7rem" outlined onClick={goto('https://phoebe.rstudio.ikayuni.me/', false)} />
                       <Button icon="pi pi-external-link" className="ml-1" onClick={goto('https://phoebe.rstudio.ikayuni.me/', true)} />
                   </div>
                   <div>
                       <Button label="Titania" className="w-7rem" outlined onClick={goto('https://titania.rstudio.ikayuni.me/', false)} />
                       <Button icon="pi pi-external-link" className="ml-1" onClick={goto('https://titania.rstudio.ikayuni.me/', true)} />
                   </div>
               </Fieldset>
          </PrimeReactProvider>
      </div>

  );
}

export default App;
